# Exploring Dashboards

In [MapStore](https://mapstore.geosolutionsgroup.com/mapstore/#/), a *Dashboard* is a space where the user can add many [Widgets](widgets.md#widgets), such as charts, maps, tables, texts and counters, and can create connections between them in order to:

1. Provide an overview to better visualize a specific data context

2. Interact spatially and analytically with the data by creating connections between widgets

3. Perform analysis on involved data/layers

In order to create a new dashboard, the **New Dashboard** button <img src="../img/button/dash-icon.jpg" class="ms-docbutton"/> appears in [MapStore](https://mapstore.geosolutionsgroup.com/mapstore/#/) Homepage once logged as Administrator or Normal user. With a click on it, an empty dashboard workspace appears. This page is composed of a *Topbar*, a *Sidebar* and a *Viewer*:

<img src="../img/exploring-dashboards/dashboard-1.jpg" class="ms-docimage"/>

## Top Toolbar

Through the *Top Toolbar* it is possible to:

* Access [GeoSolutions website](https://www.geosolutionsgroup.com/) with a click on the <img src="../img/button/geosolutions-link.jpg" class="ms-docbutton"/> icon

* Set the language, with the *Language switcher*:

<img src="../img/exploring-dashboards/language-switcher.jpg" class="ms-docimage"  style="max-width:150px;"/>

* Go back to the [Homepage](https://mapstore.geosolutionsgroup.com/mapstore/#/) by clicking the <img src="../img/button/home-page-icon.jpg" class="ms-docbutton"/> button

* **Login/Logout** by clicking the <img src="../img/button/logged.jpg" class="ms-docbutton"/> button (for more information see the [Managing Users and Groups](managing-users-and-groups.md) section)

### Side Toolbar

From the **Side Toolbar** the user can:

<img src="../img/exploring-dashboards/options-menu.jpg" class="ms-docimage"  style="max-width:150px;"/>

* [Add new widgets](adding-widgets.md#adding-widgets) with the <img src="../img/button/++++.jpg" class="ms-docbutton"/> button

* See the connections between widgets with the <img src="../img/button/show-connections.jpg" class="ms-docbutton"/> button, available when connections are present (more information about this option are available in [Connecting Widgets](connecting-widgets.md#connecting-widgets) section)

* See the **About this dashboard** panel by clicking the <img src="../img/button/details2.jpg" class="ms-docbutton"/> button, when [Details](resources-properties.md#details) are present

* **Export** dashboard in `json` format by clicking the <img src="../img/button/export2.jpg" class="ms-docbutton"/> button

* **Import** `json` dashboard files from your computer by clicking the <img src="../img/button/import2.jpg" class="ms-docbutton"/> button (it will replace the current dashboard directly)

* **Save** the dashboard by clicking the <img src="../img/button/save2.jpg" class="ms-docbutton"/> button, in order to apply the changes made in an existing dashboard. Selecting this option, the [Resources Properties](resources-properties.md) window opens, already filled with the current dashboard properties

* **Save as** when the user needs to save a copy of a dashboard or save one for the first time by clicking the <img src="../img/button/saveas2.jpg" class="ms-docbutton"/> button. Selecting this option an empty [Resources Properties](resources-properties.md) window opens.

* **Delete dashboard** in order to delete the current dashboard by clicking the <img src="../img/button/delete2.jpg" class="ms-docbutton"/> button

* [Share](share.md) the dashboard by clicking the <img src="../img/button/share2.jpg" class="ms-docbutton"/> button

* Start the **Tutorial** by clicking the <img src="../img/button/tutorial2.jpg" class="ms-docbutton"/> button

* Know more information **About** [MapStore](https://mapstore.geosolutionsgroup.com/mapstore/#/) and the deployed **Version** of *MapStore* by clicking the <img src="../img/button/about2.jpg" class="ms-docbutton"/> button

<img src="../img/exploring-dashboards/version-panel.jpg" class="ms-docimage" />

## Viewer

Once the widgets are added in the viewer it is possible to:

* Change widgets position by moving them with a simple *Drag and Drop* and resize them:

<video class="ms-docimage" controls><source src="../img/exploring-dashboards/move-resize.mp4" /></video>

* Access widgets menu <img src="../img/button/menu.jpg" class="ms-docbutton"/> from which the user can choose between several options (more information about this menu's options can be found in Map's [Access Widget Menu](widgets.md#access-widgets-menu) section)

* Take a look at the widget *Description* (more information about widget *Description* can be found in Map's [Access Widgets Info](widgets.md#manage-existing-widgets) section)
