# Exploring Maps

****************

In cartography, a map is any two-dimensional graphic representation of the spatial relationships of the whole or a part of the earth. In digital cartography as in [MapStore](https://mapstore.geosolutionsgroup.com/mapstore/#/), a map consists in overlaying various layers of geographic data and their styles in data frames, and it contains various map elements such as a legend and a scale bar.

In order to create a map, the user can click on the **New Map** button <img src="../img/button/new-map-icon.jpg" class="ms-docbutton"/> in [Homepage](https://mapstore.geosolutionsgroup.com/mapstore/#/) and will be addressed directly to the map viewer (by default only Administrators and Normal Users can create a new map, as explained before in [Homepage section](home-page.md#home-page)):

<img src="../img/exploring-maps/map-viewer.jpg" class="ms-docimage"/>

Once a map is created and saved, it will be available in [Homepage](https://mapstore.geosolutionsgroup.com/mapstore/#/) content section.

## MapStore WebGIS Portal Interface

The Mapstore WebGIS Portal interface is composed by the following main blocks:

<img src="../img/exploring-maps/gui.jpg" class="ms-docimage"/>

In particular:

* The [Table of Contents (TOC)](toc.md#table-of-contents) shows the layers and the layers groups on the map and allows to remove or edit them, and add some new ones

* The [MapStore Toolbars](mapstore-toolbars.md) includes the [Search Bar](mapstore-toolbars.md#search-bar) and the [Side Toolbar](mapstore-toolbars.md#side-toolbar), an important list of options that contains several functions and information

* The [Navigation Toolbar](navigation-toolbar.md) that is mainly a navigation panel

* The [Background Selector](background.md#background-selector) allows to add, remove or edit map's background

* The [Footer](footer.md#footer) includes the [CRS selector](footer.md#crs-selector), the coordinates, the scale and the credits of the layer

* The *Data Frame* is the space where the layers are displayed
