# Exploring Story

In [MapStore](https://mapstore.geosolutionsgroup.com/mapstore/#/), GeoStory is a tool that allows to create inspiring and immersive stories by combining text, interactive maps, and other multimedia content like images and video or other third party contents. Through this tool you can simply tell your stories on the web and then publish and share them with different groups of MapStore user or make them public to everyone around the world.

<video  class="ms-docimage" controls><source src="../img/exploring-stories/story3.mp4"/></video>

The user can approach a story in two different ways:

* Creating a new story or editing an existing one through the *Edit Mode*
* Enjoy the story and interact with it, through the *View Mode*

## Edit Mode

The *Edit Mode* allows the user to edit a story by adding, removing or modifying the elements inside it. This mode and its tools are used both to edit an existing story and to create a new one. <br>
In order to create a new story, the user can click on the **New GeoStory** button <img src="../img/button/new_story_button.jpg" class="ms-docbutton"/> on [MapStore](https://mapstore.geosolutionsgroup.com/mapstore/#/) home page. As soon as the user clicks on that button in home page the story editor opens, it is composed of three main elements: the [Topbar](exploring-dashboards.md#topbar), the *Builder* and the *Sections Container* (later simply called *Container*).

<img src="../img/exploring-stories/story-workspace.jpg" class="ms-docimage"/>

The Story content is organized in Sections, that can be added with the <img src="../img/button/add-section.jpg" class="ms-docbutton"/> button in the *Container* area. In particular, the user can add to the story the following kind of sections:

<img src="../img/exploring-stories/sections.jpg" class="ms-docimage" width="400px"/>

* [Title Section](title-section.md#title-section)
* [Banner Section](banner-section.md#banner-section)
* [Paragraph Section](paragraph-section.md#paragraph-section)
* [Immersive Section](immersive-section.md#immersive-section)
* [GeoCarousel Section](geocarousel-section.md#geocarousel-section)
* [Media Section](media-section.md#media-section)
* [Web Page Section](web-section.md#web-page-section)

## View Mode

The *View Mode* corresponds to the final result of your story composition that will be visible to end users on the web. <br>
The user can access the *View Mode* also during the Story editing in order to have a preview of its work on the Story itself. The **Show preview** button <img src="../img/button/show-preview-button.jpg" class="ms-docbutton"/>in Builder's toolbar allows to do that and the first display looks like the following:

<img src="../img/exploring-stories/view-mode-page.jpg" class="ms-docimage"/>

On top of the page there is a **Top bar** in which the story's informations (if properly configured in edit mode) are displayed.

<img src="../img/exploring-stories/top-bar.jpg" class="ms-docimage"/>

The elements available in the top bar can be the following:

* **Edit Story** button <img src="../img/button/edit-icon-1.jpg" class="ms-docbutton"/> that allows to switching back to the *Edit Mode*
* **Navigation bar** allows to navigate between different sections of the story
* The **Title** of the story configured in the story settings (edit mode)
* The **Logo** of the story chosen by the story editor in the story settings

!!! Warning
    In order to set up this information the story editor neededs to go back in Edit Mode and open the **Setting** button <img src="../img/button/setting-button.jpg" class="ms-docbutton"/> as explained in [Story Setting](story-setting.md#story-settings).

The Story layout allows to navigate contents by scrolling up and down the Story page by using the mouse or the **Navigation bar**.

<video  class="ms-docimage" width="700px" controls><source src="../img/exploring-stories/view-mode-nava.mp4"/></video>
