# GeoCarousel Section

**********************

The GeoCarousel section allows another kind of immersive experience than the [Immersive Section](immersive-section.md#immersive-section). The story editor can define a list of carousel cards to be presented with an accompanying descriptive content and a geographic location. In edit mode it is composed of three elements: the background  map, the descriptive panel and the carousel panel where the editor can manage carousel items.

<img src="../img/geocarousel-section/geocarousel-section-fd.jpg" class="ms-docimage"/>

## Background

The background editing toolbar allows to add a map as a background of the section, with the **Change media source** button <img src="../img/button/change-media.jpg" class="ms-docbutton"/> that opens the [Media Editor](media-editor-window.md#media-editor-window) as usual.

<img src="../img/immersive-section/bck-toolbar.jpg" class="ms-docimage" width="550px"/>

!!! note

    In the *GeoCarousel Section* the story editor, unlike the [Immersive Section](immersive-section.md#immersive-section) and the [Title Section](title-section.md#title-section), can only add a **map** as a background.

Once a *map* is selected for the background, the editing toolbar appears in the upper left corner of the section allowing the story editor to manage the background content.

<img src="../img/geocarousel-section/geocarousel_background_toolbar.jpg" class="ms-docimage"/>

The **Background editing toolbar** allows the following actions:

<img src="../img/geocarousel-section/geomap-toolbar.jpg" class="ms-docimage" style="width:300px"/>

* **Change media source** <img src="../img/button/change-media.jpg" class="ms-docbutton"/> allows to select the media content to use for the section, clicking on this button the [Media Editor](media-editor-window.md#media-editor-window) opens.

* The **Edit map configuration** allows to [Configure the Map](configure-map.md#configure-the-map)

* **Change size** <img src="../img/button/change-size3.jpg" class="ms-docbutton"/> of the section between *Small*, *Medium*, *Large* or *Full*

* **Align content** <img src="../img/button/align3.jpg" class="ms-docbutton"/> on the *Left*, *Center* or *Right*

* **Change the background theme** <img src="../img/button/change-field-theme.jpg" class="ms-docbutton"/> to set the colour of the empty background between *Default* (same default theme settings of the story, see [Story Settings](story-setting.md#story-settings)), *Bright*, *Dark* or *Custom* (allows to customize the color of the background).

!!! warning
    The *Align content* and the *Change field theme* buttons are disabled if the map size is full screen.

## Descriptive panel

The Descriptive panel allows to put descriptive content such as *text*, *image*, *video* or *map* for the different cards composing the GeoCarousel section. The story editor can customize it through the **Content Toolbar**, as it is explained in the [Content section](immersive-section.md#content).

<img src="../img/immersive-section/imm-content-toolbar.jpg" class="ms-docimage" style="width:400px"/>

## Carousel

The carousel is composed of a list of cards to be associated with a geographic location. It is located at the bottom of the GeoCarousel section and as soon as the section is added to the story, it has by default the following empty card ready to be configured:

<img src="../img/geocarousel-section/carousel.jpg" class="ms-docimage" style="width:500px"/>

Once a card is selected in edit mode, the story editor can perform the following operations through the **Cards editing toolbar**:

<img src="../img/geocarousel-section/items_toolbar.jpg" class="ms-docimage" style="width:180px"/>

* **Edit** <img src="../img/button/edit-card-button.jpg" class="ms-docbutton"/> the card: clicking on this button the **Edit Card** panel opens to allow adding *Thumbnail* and *Title*. An example can be the following:

<img src="../img/geocarousel-section/edit_card_panel.jpg" class="ms-docimage" style="width:500px"/>

* **Delete** <img src="../img/button/delete_white_button.jpg" class="ms-docbutton"/> the card

* **Add marker** <img src="../img/button/add_marker_button.jpg" class="ms-docbutton"/> on map or modify the current marker position: clicking on this button the **Map Inline Editor** opens, and the story editor can click a point on map to add a new marker or change its position as follows:

<video class="ms-docimage" controls><source src="../img/geocarousel-section/add_marker.mp4"/></video>

In the upper left corner of the Carousel panel, a **Carousel toolbar** allows to:

<img src="../img/geocarousel-section/carousel_toolbar.jpg" class="ms-docimage" style="width:500px"/>

* **Add card** <img src="../img/button/++.jpg" class="ms-docbutton"/> to the carousel

* **Remove** <img src="../img/button/delete_white_button.jpg" class="ms-docbutton"/> the *GeoCarousel Section*

!!! note
    Each carousel item as well as its marker on the map is numbered to be better identified.

## GeoCarousel section in View Mode

In a GeoCarousel section, in [view Mode](exploring-stories.md#view-mode), the user can perform the following operations:

* Select a *carousel card* to view related descriptive content

<video class="ms-docimage" style="width:700px" controls><source src="../img/geocarousel-section/items.mp4"/></video>

* Select a *marker* on the map to display its carousel card name popup and view its descriptive content

<video class="ms-docimage" style="width:700px" controls><source src="../img/geocarousel-section/marker.mp4"/></video>

* Use the left and right arrows <img src="../img/button/left_right_arrow.jpg" class="ms-docbutton"/> to browse the different geocarousel content

<video class="ms-docimage" style="width:700px" controls><source src="../img/geocarousel-section/arrows.mp4"/></video>
