# Home Page

***********

In order to get started, let's take a look at the portal interface and get an idea of how to navigate around it. First of all it's necessary to specify that the user can take advantage of different tools and sections according to his authentication in [MapStore](https://mapstore.geosolutionsgroup.com/mapstore/#/). In particular, a user can access the [MapStore](https://mapstore.geosolutionsgroup.com/mapstore/#/) application by:

* Anonymous user

* Normal user

* Administrator user

## Anonymous user

Accessing [MapStore](https://mapstore.geosolutionsgroup.com/mapstore/#/) as anonymous user, the [Homepage](https://mapstore.geosolutionsgroup.com/mapstore/#/) shows up as in the figure below:

<img src="../img/home-page/homepage-anonym.jpg" class="ms-docimage"/>

The anonymous user is allowed to:

* Access [GeoSolutions website](https://www.geosolutionsgroup.com/) with a click on the <img src="../img/button/geosolutions-link.jpg" class="ms-docbutton"/> icon

* Navigate through the *Featured* and *Contents* sections

<img src="../img/home-page/feat-cont.jpg" class="ms-docimage"/>

* Set the application language, with the *Language switcher*:

<img src="../img/home-page/language-switcher.jpg" class="ms-docimage"  style="max-width:150px;"/>

* Login <img src="../img/button/login-b.jpg" class="ms-docbutton"/> (more information about Login can be found in [Managing Users and Groups](managing-users-and-groups.md#managing-users-and-groups) section)

* Perform a search for resources, through the *Search bar*:

<img src="../img/home-page/search-bar.jpg" class="ms-docimage"  style="max-width:500px;"/>

* Open the **Advanced Filters**, through the <img src="../img/button/filter_white_button.jpg" class="ms-docbutton"/> button, to select one or more [Contexts](managing-contexts.md) from the dropdown menu and find all maps created from them

<img src="../img/home-page/advanced-search-bar.jpg" class="ms-docimage"  style="max-width:500px;"/>

* [Share](share.md#sharing-resources) a resource <img src="../img/button/share.jpg" class="ms-docbutton"/>

* Take a look at map [Details](resources-properties.md#details) when available <img src="../img/button/details_button.jpg" class="ms-docbutton"/>

* Open resources and navigate inside them according to their [Permissions](resources-properties.md#permission-rules)

## Normal user

With a login as normal user, the [Homepage](https://mapstore.geosolutionsgroup.com/mapstore/#/) displays as below:

<img src="../img/home-page/homepage-user.jpg" class="ms-docimage" />

The normal user, in addition to what the anonymous user can do, is allowed to:

* Create new resources like [Map](exploring-maps.md), [Dashboard](exploring-dashboards.md) and [GeoStory](exploring-stories.md):

<img src="../img/home-page/new-res.jpg" class="ms-docimage" style="max-width:150px;"/>

* View, edit and remove resources according to their [Permissions](resources-properties.md#permission-rules) <img src="../img/button/remove-edit.jpg" class="ms-docbutton"/>

## Administrator user

Once logged in as *Administrator*, the [Homepage](https://mapstore.geosolutionsgroup.com/mapstore/#/) it's like the following:

<img src="../img/home-page/homepage-admin.jpg" class="ms-docimage" />

The admin can see and edit everything. In particular, in addition to what normal user can do, an administrator can also:

* Access the **Manager** button <img src="../img/button/acc-manager.jpg" class="ms-docbutton"/> for [Manage Accounts](managing-users-and-groups.md#managing-users-and-groups) and [Manage Contexts](managing-contexts.md#managing-contexts)

* Manage the resources by including <img src="../img/button/featured.jpg" class="ms-docbutton"/> or excluding <img src="../img/button/unfeatured.jpg" class="ms-docbutton"/> them from *Featured* section

* View, edit and remove any resource
