# Immersive Section

**********************

The immersive section is composed of two elements: the background and the immersive content. As soon as you add an immersive section to your story, an empty background with an empty text content will be displayed.

<img src="../img/immersive-section/immersive-section-fd.jpg" class="ms-docimage"/>

## Content

Inside an *Immersive Section* the story editor can customize the content area through the **Immersive Content Toolbar**:

<img src="../img/immersive-section/imm-content-toolbar.jpg" class="ms-docimage" style="width:400px"/>

In particular, it possible to:

* The **Change size** button <img src="../img/button/change-size.jpg" class="ms-docbutton"/>  allows to change the size of the text window in *Small*, *Medium*, *Large* or *Full*.

* The **Align content** button <img src="../img/button/align-content.jpg" class="ms-docbutton"/>  allows to align the text window, inside the Container, on the *Left*, *Center* or *Right*.

* The **Change field theme** button <img src="../img/button/change-theme.jpg" class="ms-docbutton"/> allows to change the text window theme in *Default* (same default theme settings of the story, see [Story Settings](story-setting.md#story-settings)), *Bright*, *Dark* or *Custom* (allows to customize background and text colors and enable or disable the shadow)

Below is an example of a small Immersive Content, aligned to the *Right* and with a *Dark* field theme:

<img src="../img/immersive-section/imm-content-edit.jpg" class="ms-docimage"/>

As soon as you add a text content, it appears available just below the current one. With a simple click inside it, the user can write the text and customize the text formatting through the [Text Editor Toolbar](text-editor-toolbar.md#text-editor-toolbar). An example of a text content can be the following:

<img src="../img/immersive-section/is-text-content.jpg" class="ms-docimage" width="550px"/>

The immersive content can include text, media contents or web pages. A new content can be added inside the immersive content column through the <img src="../img/button/++++.jpg" class="ms-docbutton"/> button, or it can be removed through the <img src="../img/button/remove2.jpg" class="ms-docbutton"/> button.

<img src="../img/immersive-section/add-remove.jpg" class="ms-docimage"/>

Adding a media content, the [Media Editor](media-editor-window.md#media-editor-window) appears to allow the story editor to add an Image, a Map or a Video. It is also possible to add a Web Page content as it is explained in the [Web Page Section](web-section.md#web-page-section).  An example of immersive content with a text and an image can be the following:

<img src="../img/immersive-section/test-image.jpg" class="ms-docimage" width="550px"/>

## Background

For Immersive sections, it is possible to customize the background through the background editing toolbar:

<img src="../img/immersive-section/bck-toolbar.jpg" class="ms-docimage" width="550px"/>

The background editing toolbar, when no media are applied, allows to:

* Add a media as a background of the section, with the **Change media source** button <img src="../img/button/change-media.jpg" class="ms-docbutton"/> that opens the [Media Editor](media-editor-window.md#media-editor-window)

Once a media (*image*, *video* or *map*) is added to the background, an editing toolbar appears in the upper left corner of the section allowing the user to manage the background content.

<img src="../img/immersive-section/immesrive_background_toolbar.jpg" class="ms-docimage" width="550px"/>

The **Background editing toolbar** changes depending on the type of media added to the background, as it is explained in the [Background section](title-section.md#images).

!!! note
    Only for Immersive Section, when the user try to add another section of the same type just below the current one, the added section is actually another immersive content, that fits inside the same immersive section.
