# Managing Contexts

*******************

In [MapStore](https://mapstore.geosolutionsgroup.com/mapstore/#/) the **Application Context Manager** is an administrative tool designed to build and configure MapStore's viewers: the administrator is able to configure a custom MapStore viewer by choosing:

* The name of the context (the viewer will have its own specific URL)
* The default map configuration and map contents (like layers, backgrounds, catalogs, CRSs etc)
* The set of plugins available for the viewer

The *Admin* can access the Application Context Manager through the <img src="../img/button/manage-contexts-button.jpg" class="ms-docbutton"/> button available in the **Manager**  option menu <img src="../img/button/acc-manager.jpg" class="ms-docbutton"/> in [Homepage](https://mapstore.geosolutionsgroup.com/mapstore/#/).

<img src="../img/managing-contexts/manage-contexts-page.jpg" class="ms-docimage"/>

In this page the administrator can:

* Perform a search among the existing contexts

<img src="../img/managing-users/search-users.jpg" class="ms-docimage" style="max-width:500px;"/>

* Create an [Application context](application-context.md#application-context) through the <img src="../img/button/new-context-button.jpg" class="ms-docbutton"/> button

In each context's card the administrator can:

<img src="../img/managing-contexts/context-card-tool.jpg" class="ms-docimage" style="max-width:400px;"/>

* Remove the context through the **Delete** button <img src="../img/button/delete_button.jpg" class="ms-docbutton" />

* Edit the context through the **Edit context** button <img src="../img/button/edit-context-button.jpg" class="ms-docbutton"/>

* Open the [Edit properties](resources-properties.md#resource-properties) through the **Edit properties** button  <img src="../img/button/edit-icon.jpg" class="ms-docbutton"/>

* [Sharing](share.md#sharing-resources) the context through the **Share** button <img src="../img/button/share.jpg" class="ms-docbutton"/>
