# Managing Users

****************

Switching to *Users Manager*, the page displayed is the following:

<img src="../img/managing-users/manager-page.jpg" class="ms-docimage"/>

In this page the Admin can:

* Perform a search among the existing users

<img src="../img/managing-users/search-users.jpg" class="ms-docimage" style="max-width:500px;"/>

* Create a new user with the **New User** button <img src="../img/button/new-user.jpg" class="ms-docbutton"/>

* Edit or remove an existing one, through the **Edit user** <img src="../img/button/edit-icon.jpg" class="ms-docbutton"/> and **Delete user** <img src="../img/button/delete-icon.jpg" class="ms-docbutton" /> buttons on each user card:

<img src="../img/managing-users/edit-user.jpg" class="ms-docimage"/>

Both the **New User** <img src="../img/button/new-user.jpg" class="ms-docbutton"/> and the **Edit user** <img src="../img/button/edit-icon.jpg" class="ms-docbutton"/> buttons, open the *User editor* window that is composed of three sections:

* *User ID*

* *Other information*

* *Group membership*

## User ID

As soon as the *New User* window opens, the *User ID* section is displayed:

<img src="../img/managing-users/popup-user.jpg" class="ms-docimage"/>

In this section the Admin is allowed to:

* Set the *Username*

* Set the *Password*

* Select the *User role* (Normal user or Admin)

* Choose if an user is *Enabled* or not. Enabled users will have a green status icon under their profile, otherwise disabled users will have a red status and will not be able to log in.

<img src="../img/managing-users/user-status.jpg" class="ms-docimage"/>

!!! warning
    *Username* and *Password* are the only mandatory fields. The password must contain at least 6 characters.

## Other information

Switching to *Other information* section, it display the following:

<img src="../img/managing-users/other-info.jpg" class="ms-docimage"/>

Here the Admin can set:

* *Email*

* *Company*

* *Notes*

## Group membership

Through the last section of the window it is possible to manage the groups in which the user belongs to:

<video class="ms-docimage" controls><source src="../img/managing-users/sel-groups.mp4" /></video>

!!! note
    The *everyone* group, set by default, it is impossible to remove since it must be attributed to all users.
