# Media Editor Window

**********************

The **Change media source**  button <img src="../img/button/change-media.jpg" class="ms-docbutton"/> allows to access the Media Editor:

<img src="../img/media-editor-window/media-editor.jpg" class="ms-docimage"/>

Through this window, you can add or edit three different types of media:

* Images

* Videos

* Maps

## Images

In order to add an image, the stroy editor can click on the **Images** tab <img src="../img/button/images.jpg" class="ms-docbutton"/> in order to switch to the images section. In this section of the media editor window, with a click on the **Add** button <img src="../img/button/+++.jpg" class="ms-docbutton"/>, it is possible to define the image settings.

<img src="../img/media-editor-window/img-settings.jpg" class="ms-docimage"/>

In particular, it is possible to insert the following parameters:

* The **Source** of the image (its URL)

* The **Title** of the image

* The **Alternative text**, that appears if the link is broken

* A **Description**, used to explain the contents of the image. The description is available in the images preview list and, if the image is added as content in the *Pharagraph section*, in the *Immersive section* or in the *Media section*, under the image, as follows:

<img src="../img/media-editor-window/image-description.jpg" class="ms-docimage" width="400px"/>

* The **Credits**, displayed on the bottom-right of the image

!!! warning
    **Source** and **Title** are mandatory fields.

With a click on **Save** <img src="../img/button/save-icon.jpg" class="ms-docbutton"/>, the image is included in the list of the available images ready to be selected for the current story. The image also becomes immediately available on preview.

<img src="../img/media-editor-window/img-preview.jpg" class="ms-docimage"/>

!!! note
    It is always possible to change the image settings through the **Edit** button <img src="../img/button/editing-button.jpg" class="ms-docbutton"/> also in a second time.

Once selectd in the list, the image can be included in the story by clicking on the **Apply** button <img src="../img/button/apply-button2.jpg" class="ms-docbutton"/>.

## Videos

In order to add a video, the stroy editor can click on the **Video** tab <img src="../img/button/videos.jpg" class="ms-docbutton"/> in order to switch to the videos section. In this section of the media editor window, with a click on the **Add** button <img src="../img/button/+++.jpg" class="ms-docbutton"/>, it is possible to define the video settings.

<img src="../img/media-editor-window/video-settings.jpg" class="ms-docimage"/>

In particular, it is possible to insert the following parameters:

* The **URL** of the video

* The **Title** of the video

* A **Description**, used to explain the contents of the video. The description is available in the viedos preview list  and it can appear under the video itself if the video is added as a content of a section (*Pharagraph section*, *Immersive section* or *Media section*)

* The **Credits**, displayed on the bottom-right of the video

!!! warning
    **Video URL** and **Title** are mandatory fields.

With a click on **Save** <img src="../img/button/save-icon.jpg" class="ms-docbutton"/>, the video is included in the list of the available videos ready to be selected for the current story. The video also becomes immediately available on preview.

<img src="../img/media-editor-window/video-preview.jpg" class="ms-docimage"/>

Once selectd in the list, the video can be included in the story by clicking on the **Apply** button <img src="../img/button/apply-button2.jpg" class="ms-docbutton"/>.

## Maps

To add a map to the story, the story editor can click on the **Maps** tab <img src="../img/button/maps-button.jpg" class="ms-docbutton"/> and so swich to the map section of the Media Editor. Here the list of maps ready to be used for the story is available: the editor can search and select a map in the list to apply it in the story or create a map from scratch by clicking on the **Add** button <img src="../img/button/+++.jpg" class="ms-docbutton"/> to open the [Map Editor](configure-map.md#advanced-map-editor).

<img src="../img/media-editor-window/edit-map.jpg" class="ms-docimage"/>

Once the map is ready, the story editor can click on **Ok** button <img src="../img/button/ok_button.jpg" class="ms-docbutton"/> to proceed with the next step and therefore insert the related map metadata like **Thumbnail**, **Title** and **Description**.

<img src="../img/media-editor-window/save-map-backg.jpg" class="ms-docimage"/>

!!! note
    The description is available in the maps preview list and it can appear under the map itself if the map is added as a content of a section (*Pharagraph section*, *Immersive section* or *Media section*).

With a click on **Save** button <img src="../img/button/save_button.jpg" class="ms-docbutton"/> the map is saved and it will be available in the list of the *Current Story* maps. The story editor can select it to be used as a map component in the story by clicking on **Apply** button <img src="../img/button/apply-button2.jpg" class="ms-docbutton"/>.

<img src="../img/media-editor-window/current-story.jpg" class="ms-docimage"/>

!!! note
    By default a drop down list on the top right corner of the Media Editor allows to switch between maps currently used in the story (so the story editor can use again a map already present in the story if needed) and existing maps already available inside the MapStore catalog (that means that also classic maps created in MapStore can be used inside a Story).
    <img src="../img/media-editor-window/geostore-dev.jpg" class="ms-docimage" width="500px"/>

Below is an example of a *Map* used as a background of a Title Section:

<img src="../img/media-editor-window/map-backg-ex.jpg" class="ms-docimage"/>
