# Paragraph Section

**********************

The Paragraph Section allows to insert a textual content to the story. The story editor can also click on the <img src="../img/button/++++.jpg" class="ms-docbutton"/> button to add additional contents to this section (like media, other paragraphs or embed third party contens). It is possible to choose between:

<img src="../img/paragraph-section/add-paragraph.jpg" class="ms-docimage"/>

* **Text Content** <img src="../img/button/add-text-content.jpg" class="ms-docbutton"/> to add another text content just below the current one

* **Media Content** <img src="../img/button/add-media-content.jpg" class="ms-docbutton"/> to open the Media Editor to add an image, a map or a video.

* **Web Page Content** <img src="../img/button/web_page_button.jpg" class="ms-docbutton"/> to add an external web page

## Text Content

By default, as soon as a Paragraph is added, an empty text content is already present as a placeholder and the content toolbar allows to:

<img src="../img/paragraph-section/paragraph-section.jpg" class="ms-docimage"/>

* Change the size of the text content: clicking on the **Change Size** button <img src="../img/button/change_size2.jpg" class="ms-docbutton"/> a dropdown menu appears to allow selecting between *Small*, *Medium* or *Full* size:

<img src="../img/paragraph-section/paragraphe-size.jpg" class="ms-docimage"/>

* Delete the *Paragraph  Section* through the **Remove** button <img src="../img/button/remove2.jpg" class="ms-docbutton"/>

The editor can write a text by clicking on the text content and customize it through the [Text Editor Toolbar](text-editor-toolbar.md#text-editor-toolbar). A possible result of adding and formatting the text can be the following:

<img src="../img/paragraph-section/text_content.jpg" class="ms-docimage"/>

## Media Content

Adding a media content, the [Media Editor](media-editor-window.md#media-editor-window) opens to allow adding the supported media (like Image, Map or Video).

### Images

An image added inside the paragraph section can be customized through the [Image Content Toolbar](content-image-toolbar.md#image-content-toolbar). Below is an example of a small, center-aligned image, just below a text content:

<img src="../img/paragraph-section/text-image.jpg" class="ms-docimage"/>

### Videos

A video added inside the paragraph section can be customized through the [Video Content Toolbar](content-video-toolbar.md#video-content-toolbar). Below is an example of a video, just below an image content:

<video class="ms-docimage" controls><source src="../img/paragraph-section/image-video.mp4"/></video>

### Maps

A map added inside the paragraph section can be customized through the [Map Content Toolbar](content-map-toolbar.md#map-content-toolbar). Below is an example of a large, center-aligned map, just below an Image content:

<img src="../img/paragraph-section/image-map.jpg" class="ms-docimage"/>

## Web Page Content

Adding a web page content, the Web Page Windows opens allowing the user to add the URL of an extenal web page. A web page added inside the paragraph section can be customized through the [Web Page Content Toolbar](content-web-toolbar.md#web-page-content-toolbar). Below is an example of a medium, center-aligned web content, just below a map one:

<img src="../img/paragraph-section/map-web5.jpg" class="ms-docimage"/>
