# Story Settings

The Story Settings panel allows the editor to customize the theme of the story and configure which additional components should appear to end users in the story view.

The Story settings panel is available in Edit Mode and it can be opened by clicking on the **Settings** button <img src="../img/button/setting-button.jpg" class="ms-docbutton"/>.

<img src="../img/story-setting/story-settings-2.jpg" class="ms-docimage" style="max-width:400px"/>

## Story Theme

The editor can customize the different components of the story through the following sections:

* The **Theme** to choose the default background and text color and the default font of the whole story: clicking on the *Change Color* button <img src="../img/button/color-picker.jpg" class="ms-docbutton"/> a color picker appears to allow selecting the desired color:

<video class="ms-docimage" controls><source src="../img/story-setting/theme.mp4"/></video>

* The *Font Family* to choose the default text font present in the whole story: clicking on the search bar a dropdown menu opens to allow selecting the desired font (*Inherit*, *Arial*, *Georgia*, *Impact*, *Tahoma*, *Time New Roman*, *Verdana*). The default list of Font Families can be customized in the MapStore configuration file.

<video class="ms-docimage" controls><source src="../img/story-setting/font_family.mp4"/></video>

* The **Overlay** to choose the default background and text color of overlay *contents* present in the [Title Section](title-section.md#content) and in the [Immersive Section](immersive-section.md#content) as well: clicking on the *Change Color* button <img src="../img/button/color-picker.jpg" class="ms-docbutton"/> a color picker appears to allow selecting the desired color:

<video class="ms-docimage" controls><source src="../img/story-setting/overlay.mp4"/></video>

* The *Shadow* of overlay *contents* present in the [Title Section](title-section.md#content) and in the [Immersive Section](immersive-section.md#content): to enable or disable the shadow:

<video class="ms-docimage" controls><source src="../img/story-setting/shadow.mp4"/></video>

* The color of **Links**. The story editor can choose the default color of the hyperlink that may be present in the *Text Contents*.

<video class="ms-docimage" controls><source src="../img/story-setting/links.mp4"/></video>

## Story Header

In the top bar of the story, if the editor enables them, the following components are added:

<img src="../img/story-setting/story_header.jpg" class="ms-docimage" width="400px"/>

* The **Title** of the story, the default value is the title given to the story's resource in MapStore.

* The **Font Size** of the title: clicking on the search bar a dropdown menu opens to allow selecting the desired size (*14 px*, *16 px*, *18 px*, *24 px*, *28 px*).

* The story **Logo**, that can be for example an image that represents your organization or something connected to the story itself.

* The **Navigation Toolbar** to improve the story navigation for end users. Each section of the story is reported in a tree and the editor can establish which section should appear in the toolbar to allow end users to quickly navigate the story.

<video class="ms-docimage" width="400px" controls><source src="../img/story-setting/enable-navabar.mp4"/></video>

Saving the story settings and going back in View Mode, the top bar looks like this:

<img src="../img/story-setting/top-bar-setting.jpg" class="ms-docimage"/>
