# Title Section

**********************

As soon as you create a new Story, by default, only a Title Section (the cover) is present in the workspace. In this section the story editor can customize two different elements: the title text and the cover's background.

## Content

By default, the title section has the following placeholder with an empty background behind it:

<img src="../img/title-section/text-window.jpg" class="ms-docimage" style="width:250px"/>

With a click inside the text area, it expands and the [Text Editor Toolbar](text-editor-toolbar.md#text-editor-toolbar) appears allowing the story editor to type and/or edit the title text:

<img src="../img/title-section/rich-text.jpg" class="ms-docimage"/>

Once the text has been written, it is possible to configure the text area position and its style from the component's toolbar:

<img src="../img/title-section/textwin-toolbar.jpg" class="ms-docimage"/>

The text window toolbar allows the user to change the following settings:

* The **Change size** button <img src="../img/button/change-size.jpg" class="ms-docbutton"/>  allows to change the size of the text window in *Small*, *Medium*, *Large* or *Full*.

* The **Align content** button <img src="../img/button/align-content.jpg" class="ms-docbutton"/>  allows to align the text window, inside the Container, on the *Left*, *Center* or *Right*.

* The **Change field theme** button <img src="../img/button/change-theme.jpg" class="ms-docbutton"/> allows to change the text window theme in *Default* (same default theme settings of the story, see [Story Settings](story-setting.md#story-settings)), *Bright*, *Dark* or *Custom* (allows to customize background and text colors and enable or disable the shadow)

* The **Remove** button <img src="../img/button/remove.jpg" class="ms-docbutton"/> allows delete the title section.

!!! note
    When a section has only one content, and the story editor remove that content, the entire section will be also automatically deleted.

Setting a title with *Large* size, aligned on the *Center* of the Container and with a *Bright* theme, the result is something like:

<img src="../img/title-section/title-text.jpg" class="ms-docimage"/>

## Background

For a Title sections it is possible to customize the background through the background editing toolbar:

<img src="../img/title-section/bck-editor-toolbar.jpg" class="ms-docimage"/>

In case of an empty background, the background editing toolbar allows to:

* Add a media content as a background, with the **Change media source** button <img src="../img/button/change-media.jpg" class="ms-docbutton"/> that opens the [Media Editor](media-editor-window.md#media-editor-window)

* Change the height of the section through the **Fit/adapt content** button <img src="../img/button/fit-adapt-content.jpg" class="ms-docbutton"/>

It is possible to add three types of media contents as a background: images, videos or maps.

### Images

Once an image is added for the background, the result is something like this:

<img src="../img/title-section/img-applied.jpg" class="ms-docimage"/>

In this case the background editing toolbar allows to customize the image background through the following settings:

<img src="../img/title-section/img-bck-toolbar.jpg" class="ms-docimage"/>

* **Change media source** <img src="../img/button/change-media.jpg" class="ms-docbutton"/> allows to select the media content to use for the section, clicking on this button the [Media Editor](media-editor-window.md#media-editor-window) opens

* Change the content height through the **Fit/adapt content** button <img src="../img/button/fit-adapt-content.jpg" class="ms-docbutton"/>

* Change the relation image/container, choosing between making the background cover the whole container or making the whole background visible inside the container <img src="../img/button/fit-img-container.jpg" class="ms-docbutton"/>

* **Change size** <img src="../img/button/change-size3.jpg" class="ms-docbutton"/> between *Small*, *Medium*, *Large* or *Full*

* **Align content** <img src="../img/button/align3.jpg" class="ms-docbutton"/> on the *Left*, *Center* or *Right*

* **Change the background theme** <img src="../img/button/change-field-theme.jpg" class="ms-docbutton"/> to set the colour of the empty background between *Default* (same default theme settings of the story, see [Story Settings](story-setting.md#story-settings)), *Bright*, *Dark* or *Custom* (allows to customize the color of the background).

!!! warning
    The *Align content* and the *Change field theme* buttons are disabled if the image size is full screen

### Videos

Once a video is added for the background, the result is something like this:

<img src="../img/title-section/video-applied.jpg" class="ms-docimage"/>

The background toolbar, in this case, changes a little bit by including an additional button:

<img src="../img/title-section/video-bck-toolbar.jpg" class="ms-docimage" style="width:300px"/>

* The **Audio**, enabled by default, through which you can enable or mute the video.

By clicking on the *Make the whole background visible inside the container* button <img src="../img/button/fit-img-container.jpg" class="ms-docbutton"/> other two buttons appear to perform the following operations:

<img src="../img/title-section/viedo-toolbar.jpg" class="ms-docimage" style="width:400px"/>

* **Enable Autoplay** <img src="../img/button/autoplay-button.jpg" class="ms-docbutton"/> to play the video automatically once the user is on it

* **Enable Loop** <img src="../img/button/loop-botton.jpg" class="ms-docbutton"/> to continuously repeat the video

!!! note
    The video play will be available only in *View Mode* of the story: it is not available in edit mode except in the media editor as a preview.

### Maps

In this case, adding a map as background, the result will be like this:

<img src="../img/title-section/map-background.jpg" class="ms-docimage"/>

The background toolbar, in this case, changes a little bit by including an additional button:

<img src="../img/title-section/map-toolbar.jpg" class="ms-docimage" style="width:300px"/>

* The **Edit map configuration** through which it is possible to [Configure the Map](configure-map.md#configure-the-map)
