/*
 * Copyright 2021, GeoSolutions Sas.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree.
 */

import React from 'react';
import ReactDOM from 'react-dom';
import expect from 'expect';
import { act } from 'react-dom/test-utils';
import LocalDrawSupport from '../FitBounds';

describe('LocalDrawSupport', () => {
    beforeEach((done) => {
        document.body.innerHTML = '<div id="container"></div>';
        setTimeout(done);
    });
    afterEach((done) => {
        ReactDOM.unmountComponentAtNode(document.getElementById("container"));
        document.body.innerHTML = '';
        setTimeout(done);
    });

    it('should not crash if mapType is not supported', () => {
        act(() => {
            ReactDOM.render(<LocalDrawSupport />, document.getElementById("container"));
        });
        expect(document.getElementById("container").children.length).toBe(0);
    });
});
