/**
  * Copyright 2017, GeoSolutions Sas.
  * All rights reserved.
  *
  * This source code is licensed under the BSD-style license found in the
  * LICENSE file in the root directory of this source tree.
  */


import React from 'react';

import { Table } from 'react-bootstrap';

export default ({data = [], ...props} = {}) => {
    const traceData = data[0];
    const cols = Object.keys(traceData.reduce((a, c) => ({...a, ...c}), {}));
    return (<div className="mapstore-widget-table">
        <Table striped>
            <thead>
                <tr>
                    {cols.map( (k, i) => <th>{ i + 1 === cols.length && props.yAxisLabel ? props.yAxisLabel : i > 0 ? `${k}` : k}</th>)}
                </tr>
            </thead>
            <tbody>
                {traceData.map( d => (<tr>
                    {cols.map( k => <td>{d[k]}</td>)}
                </tr>))}
            </tbody>
        </Table></div>);
};
