export default {
    type: 'wmts',
    requestEncoding: 'KVP',
    style: 'poi',
    format: 'image/png',
    url: 'https://server.org/geoserver/gwc/service/wmts',
    capabilitiesURL: 'https://server.org/geoserver/gwc/service/wmts',
    queryable: true,
    visibility: true,
    dimensions: [],
    name: 'gs:ny_poi',
    title: 'poi',
    matrixIds: {
        'EPSG:4326': [
            {
                identifier: 'EPSG:4326:0',
                ranges: {
                    cols: {
                        min: '0',
                        max: '0'
                    },
                    rows: {
                        min: '0',
                        max: '0'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:1',
                ranges: {
                    cols: {
                        min: '1',
                        max: '1'
                    },
                    rows: {
                        min: '0',
                        max: '0'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:2',
                ranges: {
                    cols: {
                        min: '2',
                        max: '2'
                    },
                    rows: {
                        min: '1',
                        max: '1'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:3',
                ranges: {
                    cols: {
                        min: '4',
                        max: '4'
                    },
                    rows: {
                        min: '2',
                        max: '2'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:4',
                ranges: {
                    cols: {
                        min: '9',
                        max: '9'
                    },
                    rows: {
                        min: '4',
                        max: '4'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:5',
                ranges: {
                    cols: {
                        min: '18',
                        max: '18'
                    },
                    rows: {
                        min: '8',
                        max: '8'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:6',
                ranges: {
                    cols: {
                        min: '37',
                        max: '37'
                    },
                    rows: {
                        min: '17',
                        max: '17'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:7',
                ranges: {
                    cols: {
                        min: '75',
                        max: '75'
                    },
                    rows: {
                        min: '35',
                        max: '35'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:8',
                ranges: {
                    cols: {
                        min: '150',
                        max: '150'
                    },
                    rows: {
                        min: '70',
                        max: '70'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:9',
                ranges: {
                    cols: {
                        min: '301',
                        max: '301'
                    },
                    rows: {
                        min: '140',
                        max: '140'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:10',
                ranges: {
                    cols: {
                        min: '602',
                        max: '603'
                    },
                    rows: {
                        min: '280',
                        max: '280'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:11',
                ranges: {
                    cols: {
                        min: '1205',
                        max: '1206'
                    },
                    rows: {
                        min: '560',
                        max: '560'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:12',
                ranges: {
                    cols: {
                        min: '2411',
                        max: '2412'
                    },
                    rows: {
                        min: '1121',
                        max: '1121'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:13',
                ranges: {
                    cols: {
                        min: '4823',
                        max: '4824'
                    },
                    rows: {
                        min: '2242',
                        max: '2243'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:14',
                ranges: {
                    cols: {
                        min: '9647',
                        max: '9648'
                    },
                    rows: {
                        min: '4485',
                        max: '4486'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:15',
                ranges: {
                    cols: {
                        min: '19294',
                        max: '19296'
                    },
                    rows: {
                        min: '8971',
                        max: '8973'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:16',
                ranges: {
                    cols: {
                        min: '38589',
                        max: '38592'
                    },
                    rows: {
                        min: '17942',
                        max: '17946'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:17',
                ranges: {
                    cols: {
                        min: '77178',
                        max: '77185'
                    },
                    rows: {
                        min: '35884',
                        max: '35893'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:18',
                ranges: {
                    cols: {
                        min: '154356',
                        max: '154371'
                    },
                    rows: {
                        min: '71769',
                        max: '71787'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:19',
                ranges: {
                    cols: {
                        min: '308712',
                        max: '308742'
                    },
                    rows: {
                        min: '143538',
                        max: '143574'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:20',
                ranges: {
                    cols: {
                        min: '617425',
                        max: '617485'
                    },
                    rows: {
                        min: '287077',
                        max: '287149'
                    }
                }
            },
            {
                identifier: 'EPSG:4326:21',
                ranges: {
                    cols: {
                        min: '1234851',
                        max: '1234971'
                    },
                    rows: {
                        min: '574154',
                        max: '574298'
                    }
                }
            }
        ],
        'EPSG:900913': [
            {
                identifier: 'EPSG:900913:0',
                ranges: {
                    cols: {
                        min: '0',
                        max: '0'
                    },
                    rows: {
                        min: '0',
                        max: '0'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:1',
                ranges: {
                    cols: {
                        min: '0',
                        max: '0'
                    },
                    rows: {
                        min: '0',
                        max: '0'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:2',
                ranges: {
                    cols: {
                        min: '1',
                        max: '1'
                    },
                    rows: {
                        min: '1',
                        max: '1'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:3',
                ranges: {
                    cols: {
                        min: '2',
                        max: '2'
                    },
                    rows: {
                        min: '3',
                        max: '3'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:4',
                ranges: {
                    cols: {
                        min: '4',
                        max: '4'
                    },
                    rows: {
                        min: '6',
                        max: '6'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:5',
                ranges: {
                    cols: {
                        min: '9',
                        max: '9'
                    },
                    rows: {
                        min: '12',
                        max: '12'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:6',
                ranges: {
                    cols: {
                        min: '18',
                        max: '18'
                    },
                    rows: {
                        min: '24',
                        max: '24'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:7',
                ranges: {
                    cols: {
                        min: '37',
                        max: '37'
                    },
                    rows: {
                        min: '48',
                        max: '48'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:8',
                ranges: {
                    cols: {
                        min: '75',
                        max: '75'
                    },
                    rows: {
                        min: '96',
                        max: '96'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:9',
                ranges: {
                    cols: {
                        min: '150',
                        max: '150'
                    },
                    rows: {
                        min: '192',
                        max: '192'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:10',
                ranges: {
                    cols: {
                        min: '301',
                        max: '301'
                    },
                    rows: {
                        min: '384',
                        max: '385'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:11',
                ranges: {
                    cols: {
                        min: '602',
                        max: '603'
                    },
                    rows: {
                        min: '769',
                        max: '770'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:12',
                ranges: {
                    cols: {
                        min: '1205',
                        max: '1206'
                    },
                    rows: {
                        min: '1539',
                        max: '1540'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:13',
                ranges: {
                    cols: {
                        min: '2411',
                        max: '2412'
                    },
                    rows: {
                        min: '3079',
                        max: '3080'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:14',
                ranges: {
                    cols: {
                        min: '4823',
                        max: '4824'
                    },
                    rows: {
                        min: '6159',
                        max: '6160'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:15',
                ranges: {
                    cols: {
                        min: '9647',
                        max: '9648'
                    },
                    rows: {
                        min: '12319',
                        max: '12320'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:16',
                ranges: {
                    cols: {
                        min: '19294',
                        max: '19296'
                    },
                    rows: {
                        min: '24638',
                        max: '24641'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:17',
                ranges: {
                    cols: {
                        min: '38589',
                        max: '38592'
                    },
                    rows: {
                        min: '49277',
                        max: '49283'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:18',
                ranges: {
                    cols: {
                        min: '77178',
                        max: '77185'
                    },
                    rows: {
                        min: '98554',
                        max: '98566'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:19',
                ranges: {
                    cols: {
                        min: '154356',
                        max: '154371'
                    },
                    rows: {
                        min: '197108',
                        max: '197132'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:20',
                ranges: {
                    cols: {
                        min: '308712',
                        max: '308742'
                    },
                    rows: {
                        min: '394217',
                        max: '394264'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:21',
                ranges: {
                    cols: {
                        min: '617425',
                        max: '617485'
                    },
                    rows: {
                        min: '788434',
                        max: '788529'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:22',
                ranges: {
                    cols: {
                        min: '1234851',
                        max: '1234971'
                    },
                    rows: {
                        min: '1576868',
                        max: '1577058'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:23',
                ranges: {
                    cols: {
                        min: '2469703',
                        max: '2469943'
                    },
                    rows: {
                        min: '3153737',
                        max: '3154117'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:24',
                ranges: {
                    cols: {
                        min: '4939406',
                        max: '4939886'
                    },
                    rows: {
                        min: '6307475',
                        max: '6308234'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:25',
                ranges: {
                    cols: {
                        min: '9878813',
                        max: '9879773'
                    },
                    rows: {
                        min: '12614950',
                        max: '12616468'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:26',
                ranges: {
                    cols: {
                        min: '19757626',
                        max: '19759546'
                    },
                    rows: {
                        min: '25229901',
                        max: '25232936'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:27',
                ranges: {
                    cols: {
                        min: '39515253',
                        max: '39519093'
                    },
                    rows: {
                        min: '50459803',
                        max: '50465872'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:28',
                ranges: {
                    cols: {
                        min: '79030506',
                        max: '79038187'
                    },
                    rows: {
                        min: '100919606',
                        max: '100931744'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:29',
                ranges: {
                    cols: {
                        min: '158061012',
                        max: '158076375'
                    },
                    rows: {
                        min: '201839213',
                        max: '201863488'
                    }
                }
            },
            {
                identifier: 'EPSG:900913:30',
                ranges: {
                    cols: {
                        min: '316122025',
                        max: '316152750'
                    },
                    rows: {
                        min: '403678427',
                        max: '403726977'
                    }
                }
            }
        ]
    },
    description: 'poi',
    tileMatrixSet: [
        {
            'ows:Identifier': 'GlobalCRS84Pixel',
            'ows:SupportedCRS': 'urn:ogc:def:crs:EPSG::4326',
            TileMatrix: [
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:0',
                    ScaleDenominator: '7.951392199519542E8',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1',
                    MatrixHeight: '1'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:1',
                    ScaleDenominator: '3.975696099759771E8',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '2',
                    MatrixHeight: '1'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:2',
                    ScaleDenominator: '1.9878480498798856E8',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '3',
                    MatrixHeight: '2'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:3',
                    ScaleDenominator: '1.325232033253257E8',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '5',
                    MatrixHeight: '3'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:4',
                    ScaleDenominator: '6.626160166266285E7',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '9',
                    MatrixHeight: '5'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:5',
                    ScaleDenominator: '3.3130800831331424E7',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '17',
                    MatrixHeight: '9'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:6',
                    ScaleDenominator: '1.325232033253257E7',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '43',
                    MatrixHeight: '22'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:7',
                    ScaleDenominator: '6626160.166266285',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '85',
                    MatrixHeight: '43'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:8',
                    ScaleDenominator: '3313080.0831331424',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '169',
                    MatrixHeight: '85'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:9',
                    ScaleDenominator: '1656540.0415665712',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '338',
                    MatrixHeight: '169'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:10',
                    ScaleDenominator: '552180.0138555238',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1013',
                    MatrixHeight: '507'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:11',
                    ScaleDenominator: '331308.00831331423',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1688',
                    MatrixHeight: '844'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:12',
                    ScaleDenominator: '110436.00277110476',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '5063',
                    MatrixHeight: '2532'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:13',
                    ScaleDenominator: '55218.00138555238',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '10125',
                    MatrixHeight: '5063'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:14',
                    ScaleDenominator: '33130.80083133143',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '16875',
                    MatrixHeight: '8438'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:15',
                    ScaleDenominator: '11043.600277110474',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '50625',
                    MatrixHeight: '25313'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:16',
                    ScaleDenominator: '3313.080083133142',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '168750',
                    MatrixHeight: '84375'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Pixel:17',
                    ScaleDenominator: '1104.3600277110472',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '506250',
                    MatrixHeight: '253125'
                }
            ]
        },
        {
            'ows:Identifier': 'EPSG:4326',
            'ows:SupportedCRS': 'urn:ogc:def:crs:EPSG::4326',
            TileMatrix: [
                {
                    'ows:Identifier': 'EPSG:4326:0',
                    ScaleDenominator: '2.795411320143589E8',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '2',
                    MatrixHeight: '1'
                },
                {
                    'ows:Identifier': 'EPSG:4326:1',
                    ScaleDenominator: '1.3977056600717944E8',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '4',
                    MatrixHeight: '2'
                },
                {
                    'ows:Identifier': 'EPSG:4326:2',
                    ScaleDenominator: '6.988528300358972E7',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '8',
                    MatrixHeight: '4'
                },
                {
                    'ows:Identifier': 'EPSG:4326:3',
                    ScaleDenominator: '3.494264150179486E7',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '16',
                    MatrixHeight: '8'
                },
                {
                    'ows:Identifier': 'EPSG:4326:4',
                    ScaleDenominator: '1.747132075089743E7',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '32',
                    MatrixHeight: '16'
                },
                {
                    'ows:Identifier': 'EPSG:4326:5',
                    ScaleDenominator: '8735660.375448715',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '64',
                    MatrixHeight: '32'
                },
                {
                    'ows:Identifier': 'EPSG:4326:6',
                    ScaleDenominator: '4367830.1877243575',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '128',
                    MatrixHeight: '64'
                },
                {
                    'ows:Identifier': 'EPSG:4326:7',
                    ScaleDenominator: '2183915.0938621787',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '256',
                    MatrixHeight: '128'
                },
                {
                    'ows:Identifier': 'EPSG:4326:8',
                    ScaleDenominator: '1091957.5469310894',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '512',
                    MatrixHeight: '256'
                },
                {
                    'ows:Identifier': 'EPSG:4326:9',
                    ScaleDenominator: '545978.7734655447',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1024',
                    MatrixHeight: '512'
                },
                {
                    'ows:Identifier': 'EPSG:4326:10',
                    ScaleDenominator: '272989.38673277234',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '2048',
                    MatrixHeight: '1024'
                },
                {
                    'ows:Identifier': 'EPSG:4326:11',
                    ScaleDenominator: '136494.69336638617',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '4096',
                    MatrixHeight: '2048'
                },
                {
                    'ows:Identifier': 'EPSG:4326:12',
                    ScaleDenominator: '68247.34668319309',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '8192',
                    MatrixHeight: '4096'
                },
                {
                    'ows:Identifier': 'EPSG:4326:13',
                    ScaleDenominator: '34123.67334159654',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '16384',
                    MatrixHeight: '8192'
                },
                {
                    'ows:Identifier': 'EPSG:4326:14',
                    ScaleDenominator: '17061.83667079827',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '32768',
                    MatrixHeight: '16384'
                },
                {
                    'ows:Identifier': 'EPSG:4326:15',
                    ScaleDenominator: '8530.918335399136',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '65536',
                    MatrixHeight: '32768'
                },
                {
                    'ows:Identifier': 'EPSG:4326:16',
                    ScaleDenominator: '4265.459167699568',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '131072',
                    MatrixHeight: '65536'
                },
                {
                    'ows:Identifier': 'EPSG:4326:17',
                    ScaleDenominator: '2132.729583849784',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '262144',
                    MatrixHeight: '131072'
                },
                {
                    'ows:Identifier': 'EPSG:4326:18',
                    ScaleDenominator: '1066.364791924892',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '524288',
                    MatrixHeight: '262144'
                },
                {
                    'ows:Identifier': 'EPSG:4326:19',
                    ScaleDenominator: '533.182395962446',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1048576',
                    MatrixHeight: '524288'
                },
                {
                    'ows:Identifier': 'EPSG:4326:20',
                    ScaleDenominator: '266.591197981223',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '2097152',
                    MatrixHeight: '1048576'
                },
                {
                    'ows:Identifier': 'EPSG:4326:21',
                    ScaleDenominator: '133.2955989906115',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '4194304',
                    MatrixHeight: '2097152'
                }
            ]
        },
        {
            'ows:Identifier': 'GoogleCRS84Quad',
            'ows:SupportedCRS': 'urn:ogc:def:crs:EPSG::4326',
            TileMatrix: [
                {
                    'ows:Identifier': 'GoogleCRS84Quad:0',
                    ScaleDenominator: '5.590822640287178E8',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1',
                    MatrixHeight: '1'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:1',
                    ScaleDenominator: '2.795411320143589E8',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '2',
                    MatrixHeight: '1'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:2',
                    ScaleDenominator: '1.397705660071794E8',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '4',
                    MatrixHeight: '2'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:3',
                    ScaleDenominator: '6.988528300358972E7',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '8',
                    MatrixHeight: '4'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:4',
                    ScaleDenominator: '3.494264150179486E7',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '16',
                    MatrixHeight: '8'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:5',
                    ScaleDenominator: '1.747132075089743E7',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '32',
                    MatrixHeight: '16'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:6',
                    ScaleDenominator: '8735660.375448715',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '64',
                    MatrixHeight: '32'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:7',
                    ScaleDenominator: '4367830.187724357',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '128',
                    MatrixHeight: '64'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:8',
                    ScaleDenominator: '2183915.093862179',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '256',
                    MatrixHeight: '128'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:9',
                    ScaleDenominator: '1091957.546931089',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '512',
                    MatrixHeight: '256'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:10',
                    ScaleDenominator: '545978.7734655447',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1024',
                    MatrixHeight: '512'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:11',
                    ScaleDenominator: '272989.3867327723',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '2048',
                    MatrixHeight: '1024'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:12',
                    ScaleDenominator: '136494.6933663862',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '4096',
                    MatrixHeight: '2048'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:13',
                    ScaleDenominator: '68247.34668319309',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '8192',
                    MatrixHeight: '4096'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:14',
                    ScaleDenominator: '34123.67334159654',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '16384',
                    MatrixHeight: '8192'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:15',
                    ScaleDenominator: '17061.83667079827',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '32768',
                    MatrixHeight: '16384'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:16',
                    ScaleDenominator: '8530.918335399136',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '65536',
                    MatrixHeight: '32768'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:17',
                    ScaleDenominator: '4265.459167699568',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '131072',
                    MatrixHeight: '65536'
                },
                {
                    'ows:Identifier': 'GoogleCRS84Quad:18',
                    ScaleDenominator: '2132.729583849784',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '262144',
                    MatrixHeight: '131072'
                }
            ]
        },
        {
            'ows:Identifier': 'EPSG:900913',
            'ows:SupportedCRS': 'urn:ogc:def:crs:EPSG::900913',
            TileMatrix: [
                {
                    'ows:Identifier': 'EPSG:900913:0',
                    ScaleDenominator: '5.590822639508929E8',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1',
                    MatrixHeight: '1'
                },
                {
                    'ows:Identifier': 'EPSG:900913:1',
                    ScaleDenominator: '2.7954113197544646E8',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '2',
                    MatrixHeight: '2'
                },
                {
                    'ows:Identifier': 'EPSG:900913:2',
                    ScaleDenominator: '1.3977056598772323E8',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '4',
                    MatrixHeight: '4'
                },
                {
                    'ows:Identifier': 'EPSG:900913:3',
                    ScaleDenominator: '6.988528299386162E7',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '8',
                    MatrixHeight: '8'
                },
                {
                    'ows:Identifier': 'EPSG:900913:4',
                    ScaleDenominator: '3.494264149693081E7',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '16',
                    MatrixHeight: '16'
                },
                {
                    'ows:Identifier': 'EPSG:900913:5',
                    ScaleDenominator: '1.7471320748465404E7',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '32',
                    MatrixHeight: '32'
                },
                {
                    'ows:Identifier': 'EPSG:900913:6',
                    ScaleDenominator: '8735660.374232702',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '64',
                    MatrixHeight: '64'
                },
                {
                    'ows:Identifier': 'EPSG:900913:7',
                    ScaleDenominator: '4367830.187116351',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '128',
                    MatrixHeight: '128'
                },
                {
                    'ows:Identifier': 'EPSG:900913:8',
                    ScaleDenominator: '2183915.0935581755',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '256',
                    MatrixHeight: '256'
                },
                {
                    'ows:Identifier': 'EPSG:900913:9',
                    ScaleDenominator: '1091957.5467790877',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '512',
                    MatrixHeight: '512'
                },
                {
                    'ows:Identifier': 'EPSG:900913:10',
                    ScaleDenominator: '545978.7733895439',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1024',
                    MatrixHeight: '1024'
                },
                {
                    'ows:Identifier': 'EPSG:900913:11',
                    ScaleDenominator: '272989.38669477194',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '2048',
                    MatrixHeight: '2048'
                },
                {
                    'ows:Identifier': 'EPSG:900913:12',
                    ScaleDenominator: '136494.69334738597',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '4096',
                    MatrixHeight: '4096'
                },
                {
                    'ows:Identifier': 'EPSG:900913:13',
                    ScaleDenominator: '68247.34667369298',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '8192',
                    MatrixHeight: '8192'
                },
                {
                    'ows:Identifier': 'EPSG:900913:14',
                    ScaleDenominator: '34123.67333684649',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '16384',
                    MatrixHeight: '16384'
                },
                {
                    'ows:Identifier': 'EPSG:900913:15',
                    ScaleDenominator: '17061.836668423246',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '32768',
                    MatrixHeight: '32768'
                },
                {
                    'ows:Identifier': 'EPSG:900913:16',
                    ScaleDenominator: '8530.918334211623',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '65536',
                    MatrixHeight: '65536'
                },
                {
                    'ows:Identifier': 'EPSG:900913:17',
                    ScaleDenominator: '4265.4591671058115',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '131072',
                    MatrixHeight: '131072'
                },
                {
                    'ows:Identifier': 'EPSG:900913:18',
                    ScaleDenominator: '2132.7295835529058',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '262144',
                    MatrixHeight: '262144'
                },
                {
                    'ows:Identifier': 'EPSG:900913:19',
                    ScaleDenominator: '1066.3647917764529',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '524288',
                    MatrixHeight: '524288'
                },
                {
                    'ows:Identifier': 'EPSG:900913:20',
                    ScaleDenominator: '533.1823958882264',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1048576',
                    MatrixHeight: '1048576'
                },
                {
                    'ows:Identifier': 'EPSG:900913:21',
                    ScaleDenominator: '266.5911979441132',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '2097152',
                    MatrixHeight: '2097152'
                },
                {
                    'ows:Identifier': 'EPSG:900913:22',
                    ScaleDenominator: '133.2955989720566',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '4194304',
                    MatrixHeight: '4194304'
                },
                {
                    'ows:Identifier': 'EPSG:900913:23',
                    ScaleDenominator: '66.6477994860283',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '8388608',
                    MatrixHeight: '8388608'
                },
                {
                    'ows:Identifier': 'EPSG:900913:24',
                    ScaleDenominator: '33.32389974301415',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '16777216',
                    MatrixHeight: '16777216'
                },
                {
                    'ows:Identifier': 'EPSG:900913:25',
                    ScaleDenominator: '16.661949871507076',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '33554432',
                    MatrixHeight: '33554432'
                },
                {
                    'ows:Identifier': 'EPSG:900913:26',
                    ScaleDenominator: '8.330974935753538',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '67108864',
                    MatrixHeight: '67108864'
                },
                {
                    'ows:Identifier': 'EPSG:900913:27',
                    ScaleDenominator: '4.165487467876769',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '134217728',
                    MatrixHeight: '134217728'
                },
                {
                    'ows:Identifier': 'EPSG:900913:28',
                    ScaleDenominator: '2.0827437339383845',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '268435456',
                    MatrixHeight: '268435456'
                },
                {
                    'ows:Identifier': 'EPSG:900913:29',
                    ScaleDenominator: '1.0413718669691923',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '536870912',
                    MatrixHeight: '536870912'
                },
                {
                    'ows:Identifier': 'EPSG:900913:30',
                    ScaleDenominator: '0.5206859334845961',
                    TopLeftCorner: '-2.003750834E7 2.0037508E7',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1073741824',
                    MatrixHeight: '1073741824'
                }
            ]
        },
        {
            'ows:Identifier': 'GlobalCRS84Scale',
            'ows:SupportedCRS': 'urn:ogc:def:crs:EPSG::4326',
            TileMatrix: [
                {
                    'ows:Identifier': 'GlobalCRS84Scale:0',
                    ScaleDenominator: '5.0E8',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '2',
                    MatrixHeight: '1'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:1',
                    ScaleDenominator: '2.5E8',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '3',
                    MatrixHeight: '2'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:2',
                    ScaleDenominator: '1.0E8',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '6',
                    MatrixHeight: '3'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:3',
                    ScaleDenominator: '5.0E7',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '12',
                    MatrixHeight: '6'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:4',
                    ScaleDenominator: '2.5E7',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '23',
                    MatrixHeight: '12'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:5',
                    ScaleDenominator: '1.0E7',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '56',
                    MatrixHeight: '28'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:6',
                    ScaleDenominator: '5000000.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '112',
                    MatrixHeight: '56'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:7',
                    ScaleDenominator: '2500000.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '224',
                    MatrixHeight: '112'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:8',
                    ScaleDenominator: '1000000.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '560',
                    MatrixHeight: '280'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:9',
                    ScaleDenominator: '500000.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1119',
                    MatrixHeight: '560'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:10',
                    ScaleDenominator: '250000.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '2237',
                    MatrixHeight: '1119'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:11',
                    ScaleDenominator: '100000.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '5591',
                    MatrixHeight: '2796'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:12',
                    ScaleDenominator: '50000.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '11182',
                    MatrixHeight: '5591'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:13',
                    ScaleDenominator: '25000.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '22364',
                    MatrixHeight: '11182'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:14',
                    ScaleDenominator: '10000.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '55909',
                    MatrixHeight: '27955'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:15',
                    ScaleDenominator: '5000.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '111817',
                    MatrixHeight: '55909'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:16',
                    ScaleDenominator: '2500.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '223633',
                    MatrixHeight: '111817'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:17',
                    ScaleDenominator: '1000.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '559083',
                    MatrixHeight: '279542'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:18',
                    ScaleDenominator: '500.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '1118165',
                    MatrixHeight: '559083'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:19',
                    ScaleDenominator: '250.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '2236330',
                    MatrixHeight: '1118165'
                },
                {
                    'ows:Identifier': 'GlobalCRS84Scale:20',
                    ScaleDenominator: '100.0',
                    TopLeftCorner: '90.0 -180.0',
                    TileWidth: '256',
                    TileHeight: '256',
                    MatrixWidth: '5590823',
                    MatrixHeight: '2795412'
                }
            ]
        }
    ],
    bbox: {
        crs: 'EPSG:4326',
        bounds: {
            minx: '-74.0118315772888',
            miny: '40.70754683896324',
            maxx: '-74.00153046439813',
            maxy: '40.719885123828675'
        }
    },
    links: [],
    params: {},
    allowedSRS: {
        'EPSG:4326': true,
        'EPSG:900913': true
    },
    id: 'gs:ny_poi__5',
    loading: false,
    loadingError: false
};
